org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

## Class ReportNewCollectorInfoRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.ReportNewCollectorInfoRequest
  - - org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.ReportNewCollectorInfoRequestPBImpl

-     public class ReportNewCollectorInfoRequestPBImpl
      extends ReportNewCollectorInfoRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportNewCollectorInfoRequestPBImpl()`
    `ReportNewCollectorInfoRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ReportNewCollectorInfoRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `List<AppCollectorData>` | `getAppCollectorsList()`
    `org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ReportNewCollectorInfoRequestProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setAppCollectorsList(List<AppCollectorData> appCollectorsList)`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.ReportNewCollectorInfoRequest

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportNewCollectorInfoRequestPBImpl

          public ReportNewCollectorInfoRequestPBImpl()

    - #### ReportNewCollectorInfoRequestPBImpl

          public ReportNewCollectorInfoRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ReportNewCollectorInfoRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ReportNewCollectorInfoRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### getAppCollectorsList

          public List<AppCollectorData> getAppCollectorsList()

      Specified by:
        `getAppCollectorsList` in class `ReportNewCollectorInfoRequest`

    - #### setAppCollectorsList

          public void setAppCollectorsList(List<AppCollectorData> appCollectorsList)

      Specified by:
        `setAppCollectorsList` in class `ReportNewCollectorInfoRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.